{"openapi":"3.0.1","info":{"title":"1699.nmfd-user-s-rest-v1","description":"API для работы с ИС 1699 Нормирование","contact":{"name":"Лощаков Евгений Анатольевич","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=1675262933","email":"loschakov@vtb.ru"},"version":"1.0.0"},"servers":[{"url":"https://nmfd.apps.ss5-genr02.test.vtb.ru/api/cross/nmfd/user/v1","description":"K3"},{"url":"https://norm.test.vtb.ru/api/cross/nmfd/user/v1","description":"K4"},{"url":"https://norm.region.vtb.ru/api/cross/nmfd/user/v1","description":"PROD"}],"security":[{"EpaAuth":[]}],"paths":{"/admin/systemProperties":{"get":{"tags":["system-property-resource"],"description":"Получить все системные настройки","operationId":"getAllSystemProperties","parameters":[{"name":"lang","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"keys","in":"query","required":false,"style":"form","explode":true,"schema":{"maxItems":1000,"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemPropertyDto"},"maxItems":1000}}}}}},"put":{"tags":["system-property-resource"],"description":"Изменить системные настройки","operationId":"updateSystemProperty","requestBody":{"content":{"application/json":{"schema":{"type":"object","maxProperties":255,"additionalProperties":{"maxLength":255,"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemPropertyDto"},"maxItems":1000}}}}}}},"/admin/systemProperty":{"get":{"tags":["system-property-resource"],"description":"Получить системную настройку","operationId":"getOneSystemProperty","parameters":[{"name":"key","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemPropertyDto"}}}}}}},"/admin/internal/systemProperty":{"get":{"tags":["system-property-resource"],"description":"Получить карту системных настроек","operationId":"getSystemPropertyMap","parameters":[{"name":"keys","in":"query","required":true,"style":"form","explode":true,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","maxProperties":255,"additionalProperties":{"maxLength":255,"type":"string"}}}}}}}},"/xauth/timeZone":{"put":{"tags":["user-x-auth-token-resource"],"operationId":"updateUserTimeZone","parameters":[{"name":"timeZoneId","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK"}}}},"/xauth/changePassword":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"checkChangePassword","parameters":[{"name":"dto","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/CheckChangePasswordDTO"}}],"responses":{"200":{"description":"OK"}}},"put":{"tags":["user-x-auth-token-resource"],"operationId":"changePassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}}}}},"/xauth/touch/delete":{"post":{"tags":["touch-resource"],"operationId":"deleteTouchUid","responses":{"200":{"description":"OK"}}}},"/xauth/touch/authenticate":{"post":{"tags":["touch-resource"],"operationId":"authorize","parameters":[{"name":"device","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Device"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserTouchDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Token"}}}}}}},"/xauth/forgotPassword":{"post":{"tags":["user-x-auth-token-resource"],"operationId":"forgotPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordResponseDTO"}}}}}}},"/xauth/existTenant":{"post":{"tags":["user-x-auth-token-resource"],"operationId":"existTenant","responses":{"200":{"description":"OK"}}}},"/xauth/authenticate":{"post":{"tags":["user-x-auth-token-resource"],"operationId":"authorize_1","parameters":[{"name":"device","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Device"}},{"name":"username","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"password","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}}}}},"/auth/password-recovery/send-request":{"post":{"tags":["user-auth-token-resource"],"operationId":"sendPasswordChange","parameters":[{"name":"x-tenant","in":"header","required":false,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreCodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/auth/password-recovery/reset":{"post":{"tags":["user-auth-token-resource"],"operationId":"changePassword_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreCodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/auth/password-recovery/check-code":{"post":{"tags":["user-auth-token-resource"],"operationId":"checkPasswordChangeCode","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreCodeDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/auth/authenticate":{"post":{"tags":["user-auth-token-resource"],"operationId":"authenticate","parameters":[{"name":"device","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Device"}},{"name":"x-tenant","in":"header","required":false,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticateQvalonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/xauth/verifyingKey":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"getVerifyingKey","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/xauth/touch":{"get":{"tags":["touch-resource"],"operationId":"generateTouchUid","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/xauth/token":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"getToken","parameters":[{"name":"x-tenant","in":"header","required":false,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}},{"name":"x-auth-token","in":"header","required":false,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}},{"name":"expires","in":"query","required":false,"style":"form","explode":true,"schema":{"maximum":86400,"minimum":600,"type":"integer","format":"int32","default":3600}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TenantToken"}}}}}}},"/xauth/token/list":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"getTokenList","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TenantToken"},"maxItems":1000}}}}}}},"/xauth/tenant/properties":{"get":{"tags":["user-x-auth-token-resource"],"description":"Получение параметров системы","operationId":"getParams","parameters":[{"name":"lastModified","in":"query","description":"Дата и время последнего обновления","required":false,"style":"form","explode":true,"schema":{"pattern":"^[0-9]{4}-((0[1-9])|(1[0-2]))-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(()|(.[0-9]{1,6})(Z|([+-](0[0-9]|1[0-2]):([0-5][0-9])))|(.[0-9]{1,6}))$","type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TenantParamDTO"},"maxItems":1000}}}}}}},"/xauth/statistics":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"getUsersStats","parameters":[{"name":"userIds","in":"query","required":true,"style":"form","explode":true,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AuthStatisticsDto"},"maxItems":1000}}}}}}},"/xauth/passwordComplexity":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"passwordComplexity","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordComplexityDTO"}}}}}}},"/xauth/generateOTP":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"generateOTP","parameters":[{"name":"login","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"tenant","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/xauth/encryptPasswords":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"encryptPasswords","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"maxLength":255,"type":"string"}}}}},"deprecated":true}},"/xauth/encodePass":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"authorize_2","parameters":[{"name":"pass","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"maxLength":255,"type":"string"}}}}}}},"/xauth/auditlog":{"get":{"tags":["audit-log-resource"],"description":"Получение аудит-логов с фильтрацией и паджинацией","operationId":"findLogsByFilter","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuditLogFilter"}},{"name":"pageable","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AuditLogWebDTO"},"maxItems":1000}}}}}}},"/xauth/auditlog/xls":{"get":{"tags":["audit-log-resource"],"description":"Получение аудит-логов с фильтрацией в excel формате с паджинацией","operationId":"findLogsByFilterAsXls","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuditLogFilter"}},{"name":"pageable","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.ms-excel":{"schema":{"type":"string","format":"binary","maxLength":255}}}}}}},"/xauth/auditlog/names":{"get":{"tags":["audit-log-resource"],"description":"Получение названий методов api для фильтрации","operationId":"getAllAvailableMethodNames","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"maxItems":1000,"type":"array","items":{"maxLength":255,"type":"string"}}}}}}}},"/xauth/account":{"get":{"tags":["user-x-auth-token-resource"],"description":"Получение данных о пользователе","operationId":"getAccount","parameters":[{"name":"device","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Device"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}}},"/statistic/lastLogin":{"get":{"tags":["user-x-auth-token-resource"],"operationId":"getLastLoginDate","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"pattern":"^[0-9]{4}-((0[1-9])|(1[0-2]))-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(()|(.[0-9]{1,6})(Z|([+-](0[0-9]|1[0-2]):([0-5][0-9])))|(.[0-9]{1,6}))$","type":"string","format":"date-time"}}}}}}},"/xauth/touch/delete/{userId}":{"delete":{"tags":["touch-resource"],"operationId":"deleteAllUserTouch","parameters":[{"name":"userId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard":{"put":{"tags":["normo-card-resource"],"description":"Обновление замеров по нормокарте","operationId":"updateNormoCard","parameters":[{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}},"post":{"tags":["normo-card-resource"],"description":"Сохраниение замеров по нормокарте","operationId":"saveNormoCard","parameters":[{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardDTO"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/questionDriver/{id}":{"put":{"tags":["normo-card-question-driver-resource"],"description":"Обновление драйвера ЭД","operationId":"updateNormoCardQuestionDriver","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionDriverDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionDriverDTO"}}}}}},"delete":{"tags":["normo-card-question-driver-resource"],"description":"Удаление драйвера ЭД","operationId":"deleteNormoCardQuestionDriver","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/questionCorrectionFactor/{id}":{"put":{"tags":["normo-card-question-correction-factor-resource"],"description":"Обновление корректирующего коэфицента ЭД","operationId":"updateNormoCardQuestionCorrectionFactor","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionCorrectionFactorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionCorrectionFactorDTO"}}}}}},"delete":{"tags":["normo-card-question-correction-factor-resource"],"description":"Удаление корректирующего коэфицента ЭД","operationId":"deleteNormoCardQuestionCorrectionFactor","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/mvz/group":{"get":{"tags":["normo-card-mvz-group-resource"],"operationId":"getNormoCardMVZGroups","parameters":[{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"businessDirs","in":"query","required":false,"style":"form","explode":true,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardMVZGroupDTO"},"maxItems":1000}}}}}},"put":{"tags":["normo-card-mvz-group-resource"],"operationId":"updateNormoCardMVZGroup","parameters":[{"name":"id","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"name","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"businessDir","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardMVZGroupDTO"}}}}}},"post":{"tags":["normo-card-mvz-group-resource"],"operationId":"createNormoCardMVZGroup","parameters":[{"name":"name","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"businessDir","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardMVZGroupDTO"}}}}}},"delete":{"tags":["normo-card-mvz-group-resource"],"operationId":"deleteNormoCardMVZGroup","parameters":[{"name":"id","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/driver/{id}":{"put":{"tags":["normocard-driver-resource"],"operationId":"updateNormoCardDriver","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardDriverDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardDriverDTO"}}}}}},"delete":{"tags":["normocard-driver-resource"],"operationId":"deleteNormoCardDriver","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/correctionFactor/{id}":{"put":{"tags":["normo-card-correction-factor-resource"],"operationId":"updateNormoCardCorrectionFactor","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardCorrectionFactorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardCorrectionFactorDTO"}}}}}},"delete":{"tags":["normo-card-correction-factor-resource"],"operationId":"deleteNormoCardCorrectionFactor","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/through_process/{id}":{"get":{"tags":["normocard-through-process-resource"],"operationId":"getOne","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThroughProcessDTO"}}}}}},"put":{"tags":["normocard-through-process-resource"],"operationId":"update","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThroughProcessDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThroughProcessDTO"}}}}}}},"/normocard/constructor/through_process/link/{id}":{"put":{"tags":["normocard-through-process-resource"],"operationId":"editLink","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThroughProcessTemplateAddDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateThroughProcessDTO"}}}}}},"delete":{"tags":["normocard-through-process-resource"],"operationId":"deleteLink","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/templates/{templateId}":{"get":{"tags":["normo-card-template-resource"],"operationId":"getById","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDTO"}}}}}},"put":{"tags":["normo-card-template-resource"],"operationId":"update_1","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDTO"}}}}}}},"/normocard/constructor/templates/{templateId}/questions":{"get":{"tags":["normo-card-question-resource"],"operationId":"getAllByTemplateId","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionDTO"},"maxItems":1000}}}}}},"put":{"tags":["normo-card-question-resource"],"operationId":"updateQuestionInTemplate","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/QuestionDTO"}}}}}},"post":{"tags":["normo-card-question-resource"],"operationId":"addToTemplate","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionRequestDto"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/templates/{templateId}/questions/order":{"put":{"tags":["normo-card-question-resource"],"operationId":"updateQuestionOrderInTemplate","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionsOrderDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/questions":{"put":{"tags":["normo-card-question-resource"],"operationId":"update_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/QuestionDTO"}}}}}}},"/normocard/constructor/questions/cloned/{questionId}/name":{"get":{"tags":["normo-card-question-resource"],"operationId":"getClonedNames","parameters":[{"name":"questionId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateQuestionDTO"},"maxItems":1000}}}}}},"put":{"tags":["normo-card-question-resource"],"operationId":"updateNamesFromOriginal","parameters":[{"name":"questionId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/processes/{processId}/questions/move":{"put":{"tags":["normo-card-question-resource"],"operationId":"moveToProcess","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/processes/{processId}/parent":{"put":{"tags":["normo-card-process-resource"],"operationId":"updateParent","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConstructorProcessDTO"}}}}}}},"/normocard/constructor/processes/{processId}/name":{"put":{"tags":["normo-card-process-resource"],"operationId":"updateName","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"maxLength":255,"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConstructorProcessDTO"}}}}}}},"/normocard/report":{"post":{"tags":["normocard-report-resource"],"operationId":"report","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportFilter"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/report/statistic":{"post":{"tags":["normocard-report-resource"],"operationId":"reportStatistic","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatisticReportFilter"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/report/history":{"post":{"tags":["normocard-report-resource"],"operationId":"reportHistory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryReportFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HistoryReportDTO"},"maxItems":1000}}}}}}},"/normocard/questionDriver":{"get":{"tags":["normo-card-question-driver-resource"],"description":"Получить драйвера ЭД","operationId":"getNormoCardQuestionDriver","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"bnIds","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardQuestionDriverDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-question-driver-resource"],"description":"Добавить драйвер ЭД","operationId":"saveNormoCardQuestionDriver","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionDriverDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionDriverDTO"}}}}}}},"/normocard/questionCorrectionFactor":{"get":{"tags":["normo-card-question-correction-factor-resource"],"description":"Получить корректирующие коэфиценты ЭД","operationId":"getNormoCardQuestionCorrectionFactor","parameters":[{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardQuestionCorrectionFactorDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-question-correction-factor-resource"],"description":"Добавить корректирующий коэфицент ЭД","operationId":"saveNormoCardQuestionCorrectionFactor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionCorrectionFactorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardQuestionCorrectionFactorDTO"}}}}}}},"/normocard/driver":{"get":{"tags":["normocard-driver-resource"],"operationId":"getNormoCardDriver","parameters":[{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}},{"name":"bnIds","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardDriverDTO"},"maxItems":1000}}}}}},"post":{"tags":["normocard-driver-resource"],"operationId":"saveNormoCardDriver","parameters":[{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardDriverDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardDriverDTO"}}}}}}},"/normocard/driver/import/values":{"post":{"tags":["normocard-driver-resource"],"operationId":"importDriverValues","parameters":[{"name":"authenticatedUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/import_values_body"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DriverResultImportDTO"},"maxItems":1000}}}}}}},"/normocard/correctionFactor":{"get":{"tags":["normo-card-correction-factor-resource"],"operationId":"getNormoCardCorrectionFactors","parameters":[{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardCorrectionFactorDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-correction-factor-resource"],"operationId":"saveNormoCardCorrectionFactor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormoCardCorrectionFactorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardCorrectionFactorDTO"}}}}}}},"/normocard/constructor/through_process":{"post":{"tags":["normocard-through-process-resource"],"operationId":"create","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThroughProcessDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThroughProcessDTO"}}}}}}},"/normocard/constructor/through_process/{id}/template":{"post":{"tags":["normocard-through-process-resource"],"operationId":"addLinkTemplate","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThroughProcessTemplateAddDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateThroughProcessDTO"}}}}}}},"/normocard/constructor/through_process/{id}/reorder":{"post":{"tags":["normocard-through-process-resource"],"operationId":"reorderTemplates","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/through_process/template/check":{"post":{"tags":["normocard-through-process-resource"],"operationId":"checkLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThroughProcessTemplateCheckDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThroughProcessTemplateCheckResultDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/through_process/find":{"post":{"tags":["normocard-through-process-resource"],"operationId":"findThroughProcessByFilter","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThroughProcessFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThroughProcessDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/templates":{"get":{"tags":["normo-card-template-resource"],"operationId":"search","parameters":[{"name":"search","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"activity","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-template-resource"],"operationId":"create_1","parameters":[{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDTO"}}}}}}},"/normocard/constructor/templates/{templateId}/approving":{"get":{"tags":["normo-card-template-resource"],"operationId":"getApprovingUserForTemplate","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApprovedUserDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-template-resource"],"operationId":"setOrUpdateApprovingUserToTemplate","parameters":[{"name":"templateId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApprovedUserDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/templates/{id}/mvz/check":{"post":{"tags":["normo-card-template-resource"],"operationId":"checkMVZLinks","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/templates/copy":{"post":{"tags":["normo-card-template-resource"],"operationId":"copyTemplate","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CopyTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDTO"}}}}}}},"/normocard/constructor/templates/all":{"post":{"tags":["normo-card-template-resource"],"operationId":"getAllByFilter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SimpleTemplateDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/processes":{"get":{"tags":["normo-card-process-resource"],"operationId":"getAllRoot","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConstructorProcessDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-process-resource"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConstructorProcessDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConstructorProcessDTO"}}}}}}},"/normocard/constructor/processes/{processId}/questions":{"get":{"tags":["normo-card-question-resource"],"operationId":"getAllByProcessId","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionDTO"},"maxItems":1000}}}}}},"post":{"tags":["normo-card-question-resource"],"operationId":"createInProcess","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuestionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/QuestionDTO"}}}}}}},"/normocard/constructor/processes/search":{"post":{"tags":["normo-card-process-resource"],"operationId":"liveSearchPost","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"maxLength":255,"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConstructorProcessDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/processes/questions/search":{"post":{"tags":["normo-card-question-resource"],"operationId":"searchQuestionsInLibraryPost","parameters":[{"name":"currentUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"maxLength":255,"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionDTO"},"maxItems":1000}}}}}}},"/normocard/trm-roles":{"get":{"tags":["normo-card-trm-resource"],"operationId":"getNormoCardTRMRoles","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardTRMRoleDTO"},"maxItems":1000}}}}}}},"/normocard/throughProcess":{"get":{"tags":["normocard-catalog-resource"],"operationId":"getThroughProcess","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThroughProcessDTO"},"maxItems":1000}}}}}}},"/normocard/templates":{"get":{"tags":["normo-card-resource"],"operationId":"getTemplateForNormocard","parameters":[{"name":"authenticatedUser","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SimpleTemplateWithQuestionsDTO"},"maxItems":1000}}}}}}},"/normocard/system/calculateStandard":{"get":{"tags":["job-resource"],"operationId":"calculateStandard","parameters":[{"name":"reportDate","in":"query","required":false,"style":"form","explode":true,"schema":{"pattern":"^[0-9]{4}-((0[1-9])|(1[0-2]))-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(()|(.[0-9]{1,6})(Z|([+-](0[0-9]|1[0-2]):([0-5][0-9])))|(.[0-9]{1,6}))$","type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK"}}}},"/normocard/report/history/{caseId}/details":{"get":{"tags":["normocard-report-resource"],"operationId":"reportHistoryDetails","parameters":[{"name":"caseId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HistoryDetailsReportDTO"},"maxItems":1000}}}}}}},"/normocard/report/history/{caseId}/details/full":{"get":{"tags":["normocard-report-resource"],"operationId":"reportHistoryDetailsFull","parameters":[{"name":"caseId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HistoryFullReportDTO"},"maxItems":1000}}}}}}},"/normocard/reorderReasons":{"get":{"tags":["normocard-catalog-resource"],"operationId":"getReorderReasons","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SimpleCatalogDTO"},"maxItems":1000}}}}}}},"/normocard/questionDriver/{id}/templates":{"get":{"tags":["normo-card-question-driver-resource"],"operationId":"getDriverTemplates","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateShortDTO"},"maxItems":1000}}}}}}},"/normocard/product":{"get":{"tags":["normo-card-product-resource"],"operationId":"getNormoCardProduct","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardProductDTO"},"maxItems":1000}}}}}}},"/normocard/mvz":{"get":{"tags":["normo-card-mvz-resource"],"operationId":"getNormoCardMVZ","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardMVZDTO"},"maxItems":1000}}}}}}},"/normocard/mvz/group/{id}":{"get":{"tags":["normo-card-mvz-group-resource"],"operationId":"getNormoCardMVZGroupById","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NormoCardMVZGroupDTO"}}}}}}},"/normocard/method":{"get":{"tags":["normo-card-method-resource"],"operationId":"getNormoCardMethods","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardMethodDTO"},"maxItems":1000}}}}}}},"/normocard/infoSystem":{"get":{"tags":["normo-card-info-system-resource"],"operationId":"getInfoSystems","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InfoSystemDTO"},"maxItems":1000}}}}}}},"/normocard/function":{"get":{"tags":["normo-card-function-resource"],"operationId":"getNormoCardFunction","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardFunctionDTO"},"maxItems":1000}}}}}}},"/normocard/driver/{id}/templates":{"get":{"tags":["normocard-driver-resource"],"operationId":"getDriverTemplates_1","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateShortDTO"},"maxItems":1000}}}}}}},"/normocard/driver/template":{"get":{"tags":["normocard-driver-resource"],"description":"Скачать шаблон НК в excel формате","operationId":"downloadTemplate","responses":{"200":{"description":"OK"}}}},"/normocard/driver/export":{"get":{"tags":["normocard-driver-resource"],"description":"Скачать справочник драйверов в excel формате","operationId":"downloadNormocardDriver","parameters":[{"name":"onlyActive","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/through_process/{id}/templates":{"get":{"tags":["normocard-through-process-resource"],"operationId":"getTemplatesByThroughProcess","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"atDate","in":"query","required":true,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateThroughProcessDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/templates/{id}/function/{functionId}/check":{"get":{"tags":["normo-card-template-resource"],"operationId":"checkLinks","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"functionId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CheckTemplateFunctionLinkDTO"}}}}}}},"/normocard/constructor/processes/{processId}/path":{"get":{"tags":["normo-card-process-resource"],"description":"Получить путь категории","operationId":"getPathFromRoot","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}}}}},"/normocard/constructor/processes/{parentId}":{"get":{"tags":["normo-card-process-resource"],"operationId":"getAllByParentId","parameters":[{"name":"parentId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConstructorProcessDTO"},"maxItems":1000}}}}}}},"/normocard/channel":{"get":{"tags":["normo-card-channel-resource"],"operationId":"getNormoCardChannel","parameters":[{"name":"shortName","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"name","in":"query","required":false,"style":"form","explode":true,"schema":{"maxLength":255,"type":"string","default":""}},{"name":"page","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NormoCardChannelDTO"},"maxItems":1000}}}}}}},"/normocard/cancelReasons":{"get":{"tags":["normocard-catalog-resource"],"operationId":"getCancelRReasons","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SimpleCatalogDTO"},"maxItems":1000}}}}}}},"/normocard/account-unit":{"get":{"tags":["normo-card-account-unit-resource"],"operationId":"getAccountUnits","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountUnitDTO"},"maxItems":1000}}}}}}},"/normocard/constructor/questions/{questionIds}":{"delete":{"tags":["normo-card-question-resource"],"description":"Деактивация ЭД","operationId":"deactivate","parameters":[{"name":"questionIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"}}}},"/normocard/constructor/processes/{processId}/remove":{"delete":{"tags":["normo-card-process-resource"],"description":"Деактивация категории","operationId":"deactivate_1","parameters":[{"name":"processId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/orgstruct/users/{userId}/updateLang":{"put":{"tags":["user-resource"],"operationId":"updateLang","parameters":[{"name":"userId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateLangRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/roles/{roles}":{"put":{"tags":["user-roles-resource"],"operationId":"replaceUserReportAuthorities","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["user-roles-resource"],"operationId":"addUserReportAuthorities","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["user-roles-resource"],"operationId":"removeUserSelectedReportAuthorities","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/groups/{groupIds}":{"put":{"tags":["user-groups-resource"],"operationId":"replaceUserGroups","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"groupIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["user-groups-resource"],"operationId":"addUserGroups","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"groupIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["user-groups-resource"],"operationId":"removeGroupsFromUser","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"groupIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"fields","in":"query","required":false,"style":"form","explode":true,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000,"default":[]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["user-resource"],"operationId":"updateUser","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["user-resource"],"operationId":"patchUser","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/shops/{id}/users":{"get":{"tags":["shops-resource"],"operationId":"getShopUsers_1","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/ShopUserFilter"}},{"name":"pageRequest","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["shops-resource"],"operationId":"addShopUsers","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIdsDto"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["shops-resource"],"operationId":"removeShopUsers","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/roles":{"get":{"tags":["authority-resource"],"operationId":"getAllAuthorities","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/AuthorityDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["authority-resource"],"operationId":"update_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAuthorityRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FullAuthorityDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/regions/{id}/dirs/{userIds}":{"put":{"tags":["region-users-resource"],"operationId":"replaceRegionDirs","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["region-users-resource"],"operationId":"addDirsToRegion","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["region-users-resource"],"operationId":"deleteDirsFromRegion","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/mvz/{id}":{"put":{"tags":["mvz-resource"],"operationId":"createMVZ","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMVZDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SimpleMVZDTO"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/mvz/group":{"get":{"tags":["mvz-group-resource"],"operationId":"getMVZFromGroup","parameters":[{"name":"id","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["mvz-group-resource"],"operationId":"updateMVZGroup","parameters":[{"name":"id","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/groups/{id}/roles/{roles}":{"put":{"tags":["group-roles-resource"],"operationId":"replaceGroupReportRoles","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["group-roles-resource"],"operationId":"addGroupReportRoles","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["group-roles-resource"],"operationId":"removeGroupReportRoles","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"roles","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/groups/{id}":{"get":{"tags":["group-resource"],"operationId":"getGroupById","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["group-resource"],"operationId":"updateGroup","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/divisions/{id}/dirs/{userIds}":{"put":{"tags":["division-users-resource"],"operationId":"replaceDivisionDirs","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["division-users-resource"],"operationId":"addDirsToDivision","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["division-users-resource"],"operationId":"deleteDirsFromDivision","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"userIds","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/divisions/{id}":{"get":{"tags":["division-resource"],"operationId":"getDivision","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"fields","in":"query","required":false,"style":"form","explode":true,"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000,"default":[]}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DivisionDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["division-resource"],"operationId":"updateDivision","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DivisionUpdateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DivisionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DivisionDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/business-dirs/{id}/dependency":{"get":{"tags":["business-dir-depend-resource"],"operationId":"getDependBusinessDirections","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDependencyDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["business-dir-depend-resource"],"operationId":"replaceDependBusinessDirections","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDependencyDto"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["business-dir-depend-resource"],"operationId":"addDependBusinessDirections","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDependencyDto"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["business-dir-depend-resource"],"operationId":"removeDependBusinessDirections","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/business-dirs/{id}":{"get":{"tags":["business-dir-resource"],"operationId":"getOneBusinessDirections","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"put":{"tags":["business-dir-resource"],"operationId":"updateBusinessDirection","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["business-dir-resource"],"operationId":"deleteBusinessDir","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/shop/{shopId}":{"post":{"tags":["user-resource"],"operationId":"addShop","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"shopId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["user-resource"],"operationId":"unAssignShop","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"shopId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/v2/directorsOfUsers":{"post":{"tags":["user-resource"],"operationId":"findDirectorsOfUsersV2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorOfUsersFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/shop_directors":{"post":{"tags":["user-resource"],"operationId":"getShopDirectors","requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","maxProperties":255,"additionalProperties":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/shopUsers/v2":{"post":{"tags":["user-resource"],"operationId":"getShopUsersV2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersByShopIdsRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","maxProperties":255,"additionalProperties":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/find":{"post":{"tags":["user-resource"],"operationId":"findUserByFilter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/checkObserversDependent":{"post":{"tags":["user-resource"],"operationId":"checkObserversDependent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ObserverCheckDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users":{"get":{"tags":["user-resource"],"operationId":"findUsersAsXls_1","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/UserFilter"}},{"name":"pageRequest","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.ms-excel":{"schema":{"type":"array","items":{"type":"string","format":"byte","maxLength":255},"maxItems":1000}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["user-resource"],"operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreateRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/shops/isUsersInShop":{"post":{"tags":["shops-resource"],"operationId":"returnUserIdsOnlyInShopId","parameters":[{"name":"shopId","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/mvz":{"post":{"tags":["mvz-resource"],"operationId":"createMVZ_1","parameters":[{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMVZDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SimpleMVZDTO"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/mvz/mapping/import":{"post":{"tags":["mvz-mapping-resource"],"operationId":"importMvzMapping","parameters":[{"name":"infoSystemId","in":"query","required":true,"style":"form","explode":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/mapping_import_body"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":false}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/groups":{"get":{"tags":["group-resource"],"operationId":"getGroups","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/GroupFilter"}},{"name":"pageRequest","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["group-resource"],"operationId":"createGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/divisions":{"get":{"tags":["division-resource"],"operationId":"getDivisions","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/DivisionFilter"}},{"name":"pageRequest","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"user","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/AuthenticatedUser"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DivisionDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["division-resource"],"operationId":"createDivision","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DivisionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DivisionDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/business-dirs":{"get":{"tags":["business-dir-resource"],"operationId":"getAllBusinessDirections","parameters":[{"name":"filter","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/BusinessDirFilter"}},{"name":"pageRequest","in":"query","required":true,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessDirDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["business-dir-resource"],"operationId":"createBusinessDirection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDirDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/shops/move":{"patch":{"tags":["shops-resource"],"operationId":"move","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MovingRequestDto"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/regions/move":{"patch":{"tags":["regions-resource"],"operationId":"moveRegions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MovingRequestDto"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/shops":{"get":{"tags":["user-resource"],"operationId":"getUserShops","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ShopDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/roles/sources":{"get":{"tags":["user-roles-resource"],"operationId":"getUserAuthoritiesSources","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"report","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AuthoritySourceDto"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/roles/names":{"get":{"tags":["user-roles-resource"],"operationId":"getUserAuthoritiesNames","parameters":[{"name":"id","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"report","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"maxLength":255,"type":"string"},"maxItems":1000}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"}}}},"/orgstruct/users/{id}/roles":{"get":{"tags":["user-roles-resource"],"operationId":"getUserAuthorities","parameters":[{"na
[...]
